package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum SupplierTypeEnum {
	/**
	 * 供应商类型：1_瓜农；2_自家档口；3_其他家档口
	 */
	FARMER(1, "瓜农"),
	STALL(2, "档口"),
	OTHER_STALL(3, "其他家档口"),
	;

	@EnumValue
	private final int type;

	private final String message;
}
